5

The new lightning-progress-ring is available as of v48.0 (Spring '20 release).

I've put it in my LWC html file like so:

...
<div class="slds-media__figure">
    <lightning-progress-ring value="100" variant="base-autocomplete"> </lightning-progress-ring>
</div>
...

Yet when I deploy it to a dev org that's on Spring '20 using sfdx force:source:deploy, I get the following message:

PROBLEM: No MODULE named progressRing found

I've set the .meta on the LWC to 48.0 as well as the related Apex controller.

I also did sfdx update to have the most recent CLI. It looks like it installed correctly, but threw an interesting error at me (not sure if it's related though):

gyp: No Xcode or CLT version detected!
gyp ERR! configure error 
gyp ERR! stack Error: `gyp` failed with exit code: 1
gyp ERR! stack     at ChildProcess.onCpExit (/Users/anunim/.config/yarn/global/node_modules/node-gyp/lib/configure.js:351:16)
gyp ERR! stack     at ChildProcess.emit (events.js:189:13)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:248:12)
gyp ERR! System Darwin 19.3.0
gyp ERR! command \"/Users/anunim/.local/share/sfdx/client/7.46.3-4cf515d568/bin/node\" \"/usr/local/bin/node-gyp\" \"rebuild\"
gyp ERR! cwd /Users/anunim/.local/share/sfdx/node_modules/fsevents
gyp ERR! node -v v10.15.3
gyp ERR! node-gyp -v v6.1.0
gyp ERR! not ok"

Question: What am I missing to be able to deploy this to my developer org? Could this potentially be a bug associated with the new release?

3
  • What does sfdx version say? It needs to also be at version 48.0 or weird things like this can happen.
    – sfdcfox
    Feb 19, 2020 at 13:00
  • @sfdcfox sfdx-cli/7.46.3-4cf515d568 darwin-x64 node-v10.15.3 :shrug: POZ seems to have confirmed it's an actual bug - see the answer below Feb 19, 2020 at 13:37
  • 1
    Yeah, I saw the edit right after my comment. Hopefully it'll be an easy fix.
    – sfdcfox
    Feb 19, 2020 at 13:39

1 Answer 1

4

Make sure that your project configuration file (sfdx-project.json) has "sourceApiVersion": "48.0"

EDIT I confirm that it's a bug I can reproduce with issue with a scratch org. I'll reach out to the component owner.

8
  • Still getting the same error. I think the sfdx-project.json version is only relevant to scratch orgs or the extensions within VS Code. Feb 19, 2020 at 12:53
  • Updated my answer.
    – POZ
    Feb 19, 2020 at 13:06
  • Nice, thank you for reaching out and calming my nerves about this. I'll wait to hear back Feb 19, 2020 at 13:33
  • 1
    The issue is fixed internally but I don't know when the patch will be deployed.
    – POZ
    Feb 24, 2020 at 14:35
  • 1
    Forward looking statement: that should de deployed between Feb 25th and 27th depending on your instance.
    – POZ
    Feb 24, 2020 at 14:40

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .